shishi_kdcreq_realm(3)

NAME
shishi_kdcreq_realm - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_realm(Shishi * handle, Shishi_asn1 kdcreq, char ** realm, size_t * realmlen);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to get client name from.

char ** realm
    pointer to newly allocated zero terminated string containing realm. May be NULL (to only populate realmlen).

size_t * realmlen
    pointer to length of realm on output, excluding terminating zero. May be NULL (to only populate realmlen).

DESCRIPTION
Get realm field in KDC-REQ as zero-terminated string. The string is allocate by this function, and it is the responsibility of the caller to deallocate it. Note that the output length realmlen does not include the terminating zero.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.